Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 119614 - ifdown triggers modprobing nonexistant "tun6to4" module
Summary: ifdown triggers modprobing nonexistant "tun6to4" module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-31 21:41 UTC by Daniel Roesen
Modified: 2014-03-17 02:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 18:29:43 UTC


Attachments (Terms of Use)

Description Daniel Roesen 2004-03-31 21:41:27 UTC
When having IPv6 enabled (sysconfig/network having
NETWORKING_IPV6=yes), the ifdown script triggers kernel
module autoloading of "tun6to4" (even if there is no 6to4 tunneling
configured) - which does not exist.

I guess the scripts are trying to check the device "tun6to4" for
existence and config, but this device doesn't exist, and there is
a mapping missing in modprobe.conf.dist which maps "tun6to4" to
"sit".

I'm not sure wether my analysis is correct, so I'm assigning this
bug to initscripts first... maybe it needs forwarding to the
"modutils" component with a request to add the alias.

Version-Release number of selected component (if applicable):
initscripts-7.42.2-1

Comment 1 Bill Nottingham 2005-04-15 18:29:43 UTC
I believe this is fixed in current releases. Please reopen if it persists.


Note You need to log in before you can comment on or make changes to this bug.